package com.ruoyi.system.service.house;

import com.ruoyi.system.domain.house.HouseResourceAssociationObject;
import com.ruoyi.system.domain.house.vo.HouseResourceAssociationObjectVo;

import java.util.List;

public interface HouseResourceAssociationObjectService {

    void saveHouseResourceAssociationObject(HouseResourceAssociationObject houseResourceAssociationObject);

    void updateHouseResourceAssociationObject(HouseResourceAssociationObject houseResourceAssociationObject);

    void deleteHouseResourceAssociationObjectById(String id);

    HouseResourceAssociationObjectVo queryHouseResourceAssociationObjectByHouseResourceIdType(String houseResourceId);
}
